# Evaluations

Types:

```python
from nemo_platform.types.evaluations import (
    EvaluationFilter,
    EvaluationPatchRequest,
    EvaluationRequest,
    EvaluationResponse,
    EvaluationResponsesPage,
    EvaluatorAggregate,
    MetricStatFilters,
    NumberFilter,
)
```

Methods:

- client.evaluations.create(\*, workspace, \*\*params) -> EvaluationResponse
- client.evaluations.retrieve(name, \*, workspace) -> EvaluationResponse
- client.evaluations.update(path_name, \*, workspace, \*\*params) -> EvaluationResponse
- client.evaluations.list(\*, workspace, \*\*params) -> SyncDefaultPagination[EvaluationResponse]
- client.evaluations.delete(name, \*, workspace) -> None
- client.evaluations.patch(name, \*, workspace, \*\*params) -> EvaluationResponse
- client.evaluations.pin(name, \*, workspace) -> EvaluationResponse
- client.evaluations.unpin(name, \*, workspace) -> EvaluationResponse

## Sessions

Types:

```python
from nemo_platform.types.evaluations import (
    EvaluationSessionFilter,
    EvaluationSessionResponse,
    EvaluationSessionResponsesPage,
)
```

Methods:

- client.evaluations.sessions.list(name, \*, workspace, \*\*params) -> SyncDefaultPagination[EvaluationSessionResponse]
